Bug 1212328 - FTBFS: kvm.modules not found in qemu-2.3.0-0.4.rc3.fc22
Summary: FTBFS: kvm.modules not found in qemu-2.3.0-0.4.rc3.fc22
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qemu
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fedora Virtualization Maintainers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: ZedoraTracker PPCTracker
TreeView+ depends on / blocked
 
Reported: 2015-04-16 07:50 UTC by Dan Horák
Modified: 2015-04-22 22:45 UTC (History)
10 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-04-22 22:45:00 UTC


Attachments (Terms of Use)

Description Dan Horák 2015-04-16 07:50:43 UTC
build fails on s390x and ppc64 (dunno about ppc64le yet) with

...
Executing(%install): /bin/sh -e /var/tmp/rpm-tmp.2sOgKj
RPM build errors:
+ exit 0
+ umask 022
+ cd /builddir/build/BUILD
+ '[' /builddir/build/BUILDROOT/qemu-2.3.0-0.4.rc3.fc22.ppc64 '!=' / ']'
+ rm -rf /builddir/build/BUILDROOT/qemu-2.3.0-0.4.rc3.fc22.ppc64
++ dirname /builddir/build/BUILDROOT/qemu-2.3.0-0.4.rc3.fc22.ppc64
+ mkdir -p /builddir/build/BUILDROOT
+ mkdir /builddir/build/BUILDROOT/qemu-2.3.0-0.4.rc3.fc22.ppc64
+ cd qemu-2.3.0-rc3
+ mkdir -p /builddir/build/BUILDROOT/qemu-2.3.0-0.4.rc3.fc22.ppc64/lib/udev/rules.d
+ mkdir -p /builddir/build/BUILDROOT/qemu-2.3.0-0.4.rc3.fc22.ppc64/usr/lib/systemd/system
+ install -D -p -m 0644 /builddir/build/SOURCES/ksm.service /builddir/build/BUILDROOT/qemu-2.3.0-0.4.rc3.fc22.ppc64/usr/lib/systemd/system
+ install -D -p -m 0644 /builddir/build/SOURCES/ksm.sysconfig /builddir/build/BUILDROOT/qemu-2.3.0-0.4.rc3.fc22.ppc64/etc/sysconfig/ksm
+ install -D -p -m 0755 ksmctl /builddir/build/BUILDROOT/qemu-2.3.0-0.4.rc3.fc22.ppc64/usr/libexec/ksmctl
+ install -D -p -m 0644 /builddir/build/SOURCES/ksmtuned.service /builddir/build/BUILDROOT/qemu-2.3.0-0.4.rc3.fc22.ppc64/usr/lib/systemd/system
+ install -D -p -m 0755 /builddir/build/SOURCES/ksmtuned /builddir/build/BUILDROOT/qemu-2.3.0-0.4.rc3.fc22.ppc64/usr/sbin/ksmtuned
+ install -D -p -m 0644 /builddir/build/SOURCES/ksmtuned.conf /builddir/build/BUILDROOT/qemu-2.3.0-0.4.rc3.fc22.ppc64/etc/ksmtuned.conf
+ install -m 0644 /builddir/build/SOURCES/qemu-guest-agent.service /builddir/build/BUILDROOT/qemu-2.3.0-0.4.rc3.fc22.ppc64/usr/lib/systemd/system
+ install -m 0644 /builddir/build/SOURCES/99-qemu-guest-agent.rules /builddir/build/BUILDROOT/qemu-2.3.0-0.4.rc3.fc22.ppc64/lib/udev/rules.d
+ mkdir -p /builddir/build/BUILDROOT/qemu-2.3.0-0.4.rc3.fc22.ppc64/etc/sysconfig/modules
+ install -m 0755 kvm.modules /builddir/build/BUILDROOT/qemu-2.3.0-0.4.rc3.fc22.ppc64/etc/sysconfig/modules/kvm.modules
install: cannot stat 'kvm.modules': No such file or directory
error: Bad exit status from /var/tmp/rpm-tmp.2sOgKj (%install)
    Bad exit status from /var/tmp/rpm-tmp.2sOgKj (%install)
Child return code was: 1
EXCEPTION: Command failed. See logs for output.


for full logs please see
http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=1777837
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=2467852

Version-Release number of selected component (if applicable):
qemu-2.3.0-0.4.rc3.fc22

Comment 1 Cole Robinson 2015-04-16 13:29:40 UTC
Sorry about that, building a package now

Comment 2 Fedora Update System 2015-04-16 15:22:25 UTC
qemu-2.3.0-0.5.rc3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/qemu-2.3.0-0.5.rc3.fc22

Comment 3 Fedora Update System 2015-04-17 18:35:23 UTC
Package qemu-2.3.0-0.5.rc3.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qemu-2.3.0-0.5.rc3.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-6208/qemu-2.3.0-0.5.rc3.fc22
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2015-04-22 22:45:00 UTC
qemu-2.3.0-0.5.rc3.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.